import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";
import { AccountProfileUnion } from "../entities/AccountProfile";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { ARAccountProfile,  ARAccountProfileUnion } from "../entities/ARAccountProfile";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { AccountProfileDataService } from "./AccountProfile.dataservice";


export class ARAccountProfileDataService extends AccountProfileDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")
    
    static data:Record<string,any> = {"serviceId": "Account Profile Data", "parameter": "accountType=AR" };

    constructor(http: HttpService, ucpId: string, data= ARAccountProfileDataService.data){
        super(http,ucpId, data);
    }


    getData(className,filter,returnFormatType): Observable<typeof ARAccountProfileUnion> {
   
            let message : Array<typeof ARAccountProfileUnion> = [];
            let data: ARAccountProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)
    }
    
}