import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";
import { AccountProfileUnion } from "../entities/AccountProfile";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { CMAccountProfile, CMAccountProfileUnion } from "../entities/CMAccountProfile";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { AccountProfileDataService } from "./AccountProfile.dataservice";


export class CMAccountProfileDataService extends AccountProfileDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")
    
    static data:Record<string,any> = {"serviceId": "Account Profile Data", "parameter": "accountType=CM" };

    constructor(http: HttpService, ucpId: string, data= CMAccountProfileDataService.data){
        super(http,ucpId, data);
    }

    getData(className,filter,returnFormatType): Observable<typeof CMAccountProfileUnion> {

            let message : Array<typeof CMAccountProfileUnion> = [];
            let data: CMAccountProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)
    }

    
}