import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";
import { FFBProduction, FFBProductionUnion } from "../entities/FFBProduction";
import { FisCreateMessageUtility, FFBProductionData } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";


export class FFBProductionDataService extends CommonDataService {

    static ResponseService: FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data: Record<string, any> = { "serviceId": "FFB Production Data", "parameter": "" };

    constructor(http: HttpService, ucpId: string, data = FFBProductionDataService.data) {
        super(http, ucpId, data);
    }


    getData(className, filter, returnFormatType): Observable<typeof FFBProductionUnion> {

        let message: Array<typeof FFBProductionUnion> = [];
        let data: FFBProduction[] = [];

        return this.getDataWithType(filter, className, message, returnFormatType, data)

    }


}