import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";
import { FFBProductionSummary, FFBProductionSummaryUnion } from "../entities/FFBProductionSummary";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";


export class FFBProductionSummaryDataService extends CommonDataService {

    static ResponseService: FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data: Record<string, any> = { "serviceId": "FFB Production Summary Data", "parameter": "" };

    constructor(http: HttpService, ucpId: string, data = FFBProductionSummaryDataService.data) {
        super(http, ucpId, data);
    }


    getData(className, filter, returnFormatType): Observable<typeof FFBProductionSummaryUnion> {

        let message: Array<typeof FFBProductionSummaryUnion> = [];
        let data: FFBProductionSummary[] = [];

        return this.getDataWithType(filter, className, message, returnFormatType, data)

    }


}