import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

import { FisServiceProgramProfile, FisServiceProgramUnion } from "../entities/FisServiceProgram";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";

export class FisServiceProgramProfileDataService extends CommonDataService {
    
    public tempData: any;
    static filterClass;
    
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Fis Service Program Data", "parameter": "serviceTypeCode=dataservice" };

    public dataName: string = "ServiceProgramProfileSecurityAccessRightData";


    constructor(http: HttpService, ucpId: string, data= FisServiceProgramProfileDataService.data){
        super(http,ucpId, data);

    }


    getData(className,filter,returnFormatType): Observable<typeof FisServiceProgramUnion> {
      
            let message : Array<typeof FisServiceProgramUnion> = [];
            let data: FisServiceProgramProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)

    }
}