import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { OrganisationProfile, OrganisationProfileUnion } from "../entities/OrganisationProfile";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";


export class OrganisationProfileDataService extends CommonDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Organisation Profile Data", "parameter": "" };

    constructor(http: HttpService, ucpId: string, data= OrganisationProfileDataService.data){
        super(http,ucpId, data);
    }

    getData(className,filter,returnFormatType): Observable<typeof OrganisationProfileUnion> {
        
            let message : Array<typeof OrganisationProfileUnion> = [];
            let data: OrganisationProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)
    
    }
    

    
}