import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { ServiceProgramProfile, ServiceProgramProfileUnion } from "../entities/ServiceProgramProfile";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";


export class ServiceProgramProfileDataService extends CommonDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Service Program Profile Data", "parameter": "" };

    public dataName: string = "ServiceProgramProfileData";

    constructor(http: HttpService, ucpId: string, data= ServiceProgramProfileDataService.data){
        super(http,ucpId, data);
    }



    getData(className,filter,returnFormatType): Observable<typeof ServiceProgramProfileUnion> {
        
            let message : Array<typeof ServiceProgramProfileUnion> = [];
            let data: ServiceProgramProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)
    }
    
}