import { ArgsType, createUnionType, Field, ObjectType } from '@nestjs/graphql';
import { DocumentMessage, Document } from './Document';
import { Document as DocumentType } from '../message/fisappmessagejsutility/interface/export';
import { SummaryResponse } from './DescendentDataServiceArgument.entity';
import { StatusResponse } from './StatusResponse';

export const thisClassName = "APInvoiceDocumentDataService";

@ObjectType()
@ArgsType() 
export class APInvoiceDocumentMessage extends DocumentMessage { 

  @Field(type => [APInvoiceDocument]) 
  data?: APInvoiceDocument[];

}
@ObjectType()
@ArgsType() 
export class APInvoiceDocument extends Document implements DocumentType {
}

@ObjectType()
@ArgsType() 
export class APInvoiceDocumentUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> APInvoiceDocumentMessage, { nullable: true})
    APInvoiceDocumentMessage?:APInvoiceDocumentMessage
}
