import { ArgsType, createUnionType, Field, ObjectType } from '@nestjs/graphql';
import { AccountProfile, AccountProfileMessage } from './AccountProfile';
import { AccountProfile as AccountProfileType } from '../message/fisappmessagejsutility/interface/export';
import { StatusResponse } from './StatusResponse';
import { SummaryResponse } from './DescendentDataServiceArgument.entity';


export const thisClassName = "ARAccountProfileDataService";

@ObjectType()
@ArgsType() 
export class ARAccountProfileMessage extends AccountProfileMessage { 


  @Field(type => [ARAccountProfile]) 
  data?: ARAccountProfile[];

}
@ObjectType()
@ArgsType() 
export class ARAccountProfile extends AccountProfile implements AccountProfileType {
}

@ObjectType()
@ArgsType() 
export class ARAccountProfileUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> ARAccountProfileMessage, { nullable: true})
    ARAccountProfileMessage?:ARAccountProfileMessage
}