import { ArgsType, createUnionType, Field, ObjectType } from '@nestjs/graphql';
import { Document, DocumentMessage } from './Document';
import { Document as DocumentType } from '../message/fisappmessagejsutility/interface/export';
import { SummaryResponse } from './DescendentDataServiceArgument.entity';
import { StatusResponse } from './StatusResponse';


export const thisClassName = "ARReceiptDocumentDataService";

@ObjectType()
@ArgsType() 
export class ARReceiptDocumentMessage extends DocumentMessage { 


  @Field(type => [ARReceiptDocument]) 
  data?: ARReceiptDocument[];

}
@ObjectType()
@ArgsType() 
export class ARReceiptDocument extends Document implements DocumentType{
}


@ObjectType()
@ArgsType() 
export class ARReceiptDocumentUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> ARReceiptDocumentMessage, { nullable: true})
    ARReceiptDocumentMessage?:ARReceiptDocumentMessage
}