import { ValidatorConstraint, ValidatorConstraintInterface, ValidationArguments } from 'class-validator';
import { DataServiceManager } from '../Manager.dataservice';

@ValidatorConstraint({ name: 'customReturnFormatType', async: false })
export class CustomReturnFormatType implements ValidatorConstraintInterface {
  validate(text: string, args: ValidationArguments) {
      const value = ['full','byBatchOf5','byBatchOf10','byRow'];
 
    if(text){
        return value.includes(text);
    }
    return true
  }

  defaultMessage(args: ValidationArguments) {
    return 'Invalid returnFormatType available returnFormatType full, byBatchOf5, byBatchOf10 and byRow';
  }
}