import { ArgsType,    Field,   Int,  ObjectType } from '@nestjs/graphql';
import {   SummaryResponse } from './DescendentDataServiceArgument.entity';
import { LeaveHistory as LeaveHistoryType } from '../message/fisappmessagejsutility/interface/export';
import { CustomFilter } from './CustomFilter.validate';
import { CustomReturnFormatType } from './CustomReturnFormatType.validate';
import { Validate } from 'class-validator'
import { StatusResponse } from './StatusResponse';


export const thisClassName = "LeaveHistoryDataService";

@ObjectType()
@ArgsType() 
export class LeaveHistoryArgument {

    className: string = thisClassName;

    
    @Field({ nullable: true })
    @Validate(CustomFilter)
    filter?: string; 

    @Field({ nullable: true })
    @Validate(CustomReturnFormatType)
    returnFormatType?: string;
 
}


@ObjectType()
@ArgsType() 
export class LeaveHistoryMessage {

    @Field(type => [LeaveHistory]) 
    data?: LeaveHistory[]; 
}


@ObjectType()
@ArgsType() 
export class LeaveHistory implements LeaveHistoryType{
    @Field(type=> Int,{ nullable: true})
    ps_doc_id: number;
    
    @Field(type=> Int,{ nullable: true})
    ps_doc_leave_emp_role_id: number;

    @Field({ nullable: true})
    emp_lv_mas_open: string;

    @Field(type=> Int,{ nullable: true})
    ps_doc_leave_ps_leave_mas_id: number; 

    @Field(type=> Int,{ nullable: true})
    emp_lv_mas_year: number;

    @Field(type=> Int,{ nullable: true})
    ps_emp_leave_master_ps_leave_id:number;

    @Field({ nullable: true})
    ps_doc_header_ps_doc_ref_no: string;

    @Field({ nullable: true})
    ps_leave_profile_ps_leave_desc: string;

    @Field({ nullable: true})
    ps_doc_header_ps_doc_status: string;

    @Field({ nullable: true})
    ps_doc_leave_ps_dt_applied: string; 

    @Field({ nullable: true})
    ps_doc_leave_ps_dt_from: string; 

    @Field({ nullable: true})
    ps_doc_leave_ps_dt_to: string; 

    @Field({ nullable: true})
    ps_doc_leave_ps_days: string; 
   
}


@ObjectType()
@ArgsType() 
export class LeaveHistoryUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> LeaveHistoryMessage, { nullable: true})
    LeaveHistoryMessage?:LeaveHistoryMessage
}