import { ArgsType,    Field,    Int,  ObjectType } from '@nestjs/graphql';
import {   SummaryResponse } from './DescendentDataServiceArgument.entity';
import { LeaveTypeProfile as LeaveTypeProfileType } from '../message/fisappmessagejsutility/interface/export';
import { CustomFilter } from './CustomFilter.validate';
import { CustomReturnFormatType } from './CustomReturnFormatType.validate';
import { Validate } from 'class-validator'
import { StatusResponse } from './StatusResponse';


export const thisClassName = "LeaveTypeProfileDataService";

@ObjectType()
@ArgsType() 
export class LeaveTypeProfileArgument {

    className: string = thisClassName;

    
    @Field({ nullable: true })
    @Validate(CustomFilter)
    filter?: string; 

    @Field({ nullable: true })
    @Validate(CustomReturnFormatType)
    returnFormatType?: string;
 
}


@ObjectType()
@ArgsType() 
export class LeaveTypeProfileMessage {

    @Field(type => [LeaveTypeProfile]) 
    data?: LeaveTypeProfile[]; 
}


@ObjectType()
@ArgsType() 
export class LeaveTypeProfile implements LeaveTypeProfileType{

    @Field({ nullable: true})
    ps_emp_leave_master_emp_lv_mas_brou_forw: string;

    @Field(type=> Int,{ nullable: true})
    emp_lv_mas_year: number;

    @Field({ nullable: true})
    ps_emp_leave_master_emp_lv_mas_entitled: string;

    @Field(type=> Int,{ nullable: true})
    emp_role_id: number; 

    @Field(type=> Int,{ nullable: true})
    emp_leave_mas_id: number; 
    
    @Field({ nullable: true})
    ps_leave_profile_ps_leave_desc: string;

    @Field({ nullable: true})
    emp_lv_pro_rate: string;  
   
}


@ObjectType()
@ArgsType() 
export class LeaveTypeProfileUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> LeaveTypeProfileMessage, { nullable: true})
    LeaveTypeProfileMessage?:LeaveTypeProfileMessage
}