import { ArgsType,  createUnionType,  Field,  Int,  ObjectType } from '@nestjs/graphql';

import { DescendentDataServiceArgument,  SummaryResponse } from './DescendentDataServiceArgument.entity';
import { OrganisationProfile as OrganisationProfileType } from '../message/fisappmessagejsutility/interface/export';
import { StatusResponse } from './StatusResponse';



export const thisClassName = "OrganisationProfileDataService";

@ObjectType()
@ArgsType() 
export class OrganisationProfileArgument extends DescendentDataServiceArgument {

    className: string = thisClassName; 

}


@ObjectType()
@ArgsType() 
export class OrganisationProfileMessage {

    
    @Field(type => [OrganisationProfile]) 
    data?: OrganisationProfile[]; 
}


@ObjectType()
@ArgsType() 
export class OrganisationProfile implements OrganisationProfileType {
    
    @Field(type=> Int,{ nullable: true})
    prof_id: number;

    @Field({ nullable: true})
    class_shortname: string;

    @Field({ nullable: true})
    orgn_address1: string;

    @Field({ nullable: true})
    orgn_address2: string;

    @Field({ nullable: true})
    orgn_address3: string;

    @Field({ nullable: true})
    orgn_faxno: string;

    @Field({ nullable: true})
    orgn_postcode: string;

    @Field({ nullable: true})
    orgn_phone: string;

    @Field({ nullable: true})
    orgn_contact_person: string;

    @Field({ nullable: true})
    class_desc: string;

    @Field({ nullable: true})
    class_code: string;
}


@ObjectType()
@ArgsType() 
export class OrganisationProfileUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> OrganisationProfileMessage, { nullable: true})
    OrganisationProfileMessage?:OrganisationProfileMessage
}