import { HttpService } from '@nestjs/axios';
import { Injectable } from '@nestjs/common';
import { map, Observable } from 'rxjs';
import { DataServiceManager } from '../FisAppQueryModule/Manager.dataservice';
import { AccountProfileUnion, thisClassName as AccountProfileClassName } from './entities/AccountProfile';

import { APAccountProfileUnion, thisClassName as APAccountProfileClassName } from './entities/APAccountProfile';
import { APInvoiceDocumentUnion, thisClassName as APInvoiceDocumentClassName } from './entities/APInvoiceDocument';
import { APReceiptDocumentUnion, thisClassName as APReceiptDocumentClassName } from './entities/APReceiptDocument';
import { ARAccountProfileUnion, thisClassName as ARAccountProfileClassName } from './entities/ARAccountProfile';
import { ARInvoiceDocumentUnion, thisClassName as ARInvoiceDocumentClassName } from './entities/ARInvoiceDocument';
import { ARReceiptDocumentUnion, thisClassName as ARReceiptDocumentClassName } from './entities/ARReceiptDocument';
import { CMAccountProfileUnion, thisClassName as CMAccountProfileClassName } from './entities/CMAccountProfile';
import { DataServiceMessage } from './entities/DataService.entity';
import { DocumentUnion, thisClassName as DocumentClassName } from './entities/Document';
import { FFBProductionUnion, thisClassName as FFBProductionClassName } from './entities/FFBProduction';
import { FFBProductionSummaryUnion } from './entities/FFBProductionSummary';
import { FisServiceProgramUnion, thisClassName as FisServiceProgramClassName } from './entities/FisServiceProgram';
import { LeaveBalanceUnion, thisClassName as LeaveBalanceClassName } from './entities/LeaveBalance';
import { LeaveHistoryUnion, thisClassName as LeaveHistoryClassName } from './entities/LeaveHistory';
import { LeaveTypeProfileUnion, thisClassName as LeaveTypeProfileClassName } from './entities/LeaveTypeProfile';
import { OrganisationProfileUnion, thisClassName as OrganisationProfileClassName } from './entities/OrganisationProfile';
import { ProductProfileUnion, thisClassName as ProductProfileClassName } from './entities/ProductProfile';
import { RoleTypeProfileUnion, thisClassName as RoleTypeProfileClassName } from './entities/RoleTypeProfile';
import { ServiceProgramProfileUnion, thisClassName as ServiceProgramProfileClassName } from './entities/ServiceProgramProfile';

@Injectable()
export class FisAppQueryService {

  constructor(private readonly http: HttpService, private dataservicemanager: DataServiceManager) { }

  result: any;
  /**
   * Retrieve multiple sites
   * @return {Site} - multiple site entity
   */

  getData(className, filter, returnFormatType): Observable<DataServiceMessage> {
    let getDataObservable: Observable<any> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1, true).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  APAccountProfileGetData(filter, returnFormatType): Observable<typeof APAccountProfileUnion> {
    let className = APAccountProfileClassName;

    let getDataObservable: Observable<typeof APAccountProfileUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  CMAccountProfileGetData(filter, returnFormatType): Observable<typeof CMAccountProfileUnion> {
    let className = CMAccountProfileClassName;
    let getDataObservable: Observable<any> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  ARAccountProfileGetData(filter, returnFormatType): Observable<typeof ARAccountProfileUnion> {

    let className = ARAccountProfileClassName;
    let getDataObservable: Observable<any> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  AccountProfileGetData(filter, returnFormatType): Observable<typeof AccountProfileUnion> {

    let className = AccountProfileClassName
    let getDataObservable: Observable<typeof AccountProfileUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }


  DocumentGetData(filter, returnFormatType): Observable<typeof DocumentUnion> {

    let className = DocumentClassName;

    let getDataObservable: Observable<typeof DocumentUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  ARInvoiceDocumentGetData(filter, returnFormatType): Observable<typeof ARInvoiceDocumentUnion> {

    let className = ARInvoiceDocumentClassName

    let getDataObservable: Observable<typeof ARInvoiceDocumentUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  APInvoiceDocumentGetData(filter, returnFormatType): Observable<typeof APInvoiceDocumentUnion> {

    let className = APInvoiceDocumentClassName

    let getDataObservable: Observable<typeof APInvoiceDocumentUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }
  APReceiptDocumentGetData(filter, returnFormatType): Observable<typeof APReceiptDocumentUnion> {

    let className = APReceiptDocumentClassName;

    let getDataObservable: Observable<typeof APReceiptDocumentUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }
  ARReceiptDocumentGetData(filter, returnFormatType): Observable<typeof ARReceiptDocumentUnion> {
    let className = ARReceiptDocumentClassName;
    let getDataObservable: Observable<typeof ARReceiptDocumentUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  OrganisationProfileGetData(filter, returnFormatType): Observable<typeof OrganisationProfileUnion> {
    let className = OrganisationProfileClassName;
    let getDataObservable: Observable<typeof OrganisationProfileUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  ServiceProgramProfileGetData(filter, returnFormatType): Observable<typeof ServiceProgramProfileUnion> {
    let className = ServiceProgramProfileClassName
    let getDataObservable: Observable<typeof ServiceProgramProfileUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  FisServiceProgramProfileGetData(filter, returnFormatType): Observable<typeof FisServiceProgramUnion> {
    let className = FisServiceProgramClassName
    let getDataObservable: Observable<typeof FisServiceProgramUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  RoleTypeProfileGetData(filter, returnFormatType): Observable<typeof RoleTypeProfileUnion> {
    let className = RoleTypeProfileClassName
    let getDataObservable: Observable<typeof RoleTypeProfileUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  ProductProfileGetData(filter, returnFormatType): Observable<typeof ProductProfileUnion> {
    let className = ProductProfileClassName
    let getDataObservable: Observable<typeof ProductProfileUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  LeaveBalanceGetData(filter, returnFormatType): Observable<typeof LeaveBalanceUnion> {
    let className = LeaveBalanceClassName
    let getDataObservable: Observable<typeof LeaveBalanceUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  LeaveHistoryGetData(filter, returnFormatType): Observable<typeof LeaveHistoryUnion> {
    let className = LeaveHistoryClassName
    let getDataObservable: Observable<typeof LeaveHistoryUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }

  LeaveTypeProfileGetData(filter, returnFormatType): Observable<typeof LeaveTypeProfileUnion> {
    let className = LeaveTypeProfileClassName
    let getDataObservable: Observable<typeof LeaveTypeProfileUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }
  FFBProductionGetData(filter, returnFormatType): Observable<typeof FFBProductionUnion> {
    let className = FFBProductionClassName
    let getDataObservable: Observable<typeof FFBProductionUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }
  FFBProductionSummaryGetData(filter, returnFormatType): Observable<typeof FFBProductionSummaryUnion> {
    let className = FFBProductionClassName
    let getDataObservable: Observable<typeof FFBProductionSummaryUnion> = this.dataservicemanager.getDataServiceData(className, filter, returnFormatType, 1).pipe(map(x => {
      return x;
    }));

    return getDataObservable;
  }
}
