import { HttpService } from '@nestjs/axios';
import { Injectable } from '@nestjs/common';

import { map, Observable } from 'rxjs';
import { Block } from './block.entity';

@Injectable()
export class BlockService {
  constructor(private readonly http: HttpService) {}

  result: any;

  findAllBlock(db: string, phase: string): Observable<Block[]> {
    const observable = this.observableHttp(
      `http://192.168.1.12/site/api/sites/${db}/phases/${phase}/blocks`,
    );

    observable.subscribe({
      next: (x) => {
        this.result = x;
      },
      error: (err) => {
        console.log('Retrieve Blocks Error : ' + err);
      },
      complete: () => {
        console.log('Done...');
      },
    });

    return this.result;
  }

  observableHttp(...data): Observable<any> {
    return new Observable((subscriber) => {
      data.forEach((url) => {
        subscriber.next(
          this.http.get(url).pipe(map((response) => response.data)),
        );
      });
      subscriber.complete();
    });
  }
}
