import { HttpService } from '@nestjs/axios';
import { Injectable } from '@nestjs/common';
import { map, Observable } from 'rxjs';
import { Phase } from './phase.entity';


@Injectable()
export class PhaseService {
  constructor(private readonly http: HttpService) {}

  result: any;
  //retrieve the phases based on db
  findAllPhases(db: string): Observable<Phase[]> {
    const observable = this.observableHttp(
      `http://192.168.1.12/site/api/sites/${db}/phases`,
    );

    observable.subscribe({
      next: (x) => {
        this.result = x;
      },
      error: (err) => {
        console.log('Retrieve Phases Error : ' + err);
      },
      complete: () => {
        console.log('Done...');
      },
    });

    return this.result;
  }

  observableHttp(...data): Observable<any> {
    return new Observable((subscriber) => {
      data.forEach((url) => {
        subscriber.next(
          this.http.get(url).pipe(map((response) => response.data)),
        );
      });
      subscriber.complete();
    });
  }
}
