import { Args, Mutation, Parent, Query, ResolveField, Resolver } from '@nestjs/graphql';
import { SitesService } from './sites.service';
import { Site } from './entities/site.entity';
import { Phase } from '../../PlantationSiteOperationModule/phase/phase.entity';
import { PhaseService } from '../../PlantationSiteOperationModule/phase/phase.service';

import { from, Observable, of } from 'rxjs';
import { query } from 'express';



@Resolver(() => Site)
export class SitesResolver {
  
  constructor(
    private readonly sitesService: SitesService,
    private readonly phaseService: PhaseService
  ) {}



  @Query(() => [Site], { name: 'sites' })
  findAllSite(): Observable<any> {
    const demo = from([{db:"aaa"},{db: "bbbb"}])

    return new Observable(subscriber =>{
      demo.subscribe({
        next: (x)=>{
          subscriber.next([x])
          console.log("1")
          console.log(x)
        },
        complete: ()=>{
          console.log("2")
          subscriber.complete()
        }
      })
    })
  }
  
  
  
  // return (await this.sitesService.findAllSite()).pipe((response) => response);
  /**
   *
   * @param db
   * @returns
   */
  @Query(() => Site, { name: 'site' })
  findSite(@Args('db', { type: () => String }) db: string): Observable<Site[]> {
    return this.sitesService.findSite(db);
  }

  @ResolveField('phases', () => [Phase])
  getPhases(@Parent() site: Site): Observable<Phase[]> {
    const { db } = site;
    return this.phaseService.findAllPhases(db);
  }



}
