import { ValidationPipe } from '@nestjs/common';
import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';

async function bootstrap() {
  const fs = require('fs');
  const keyFile = fs.readFileSync('src/SSL/cert/server-key.pem');
  const certFile = fs.readFileSync('src/SSL/cert/server-crt.pem');

  const app = await NestFactory.create(AppModule, {
    httpsOptions: {
      key: keyFile,
      cert: certFile,
      // ca: [
      //   fs.readFileSync('src/SSL/cert/client-ca-crt.pem')
      // ],
      // requestCert: true,
      // rejectUnauthorized: true
    }
  });
  app.useGlobalPipes(new ValidationPipe({ transform: true, }));
  await app.listen(3002);
}
bootstrap();
